svc_reserve
Prev | SUN RPC subsystem | Next

## Name

svc_reserve — change the space reserved for the reply to a request.

## Synopsis

`void svc_reserve (` | struct svc_rqst * | rqstp,
| int | space`)`;

## Arguments

`rqstp`

  The request in question

`space`

  new max space to reserve

## Description

Each request reserves some space on the output queue of the socket to make sure the reply fits. This function reduces that reserved space to be the amount of space used already, plus `space`.

Prev | Up | Next
svc_print_addr | Home | svc_makesock